# termsize 7cm,7cm
set grid

set xlabel "Frames [×1000]"
set ylabel "Time [ms]"
set key left reverse Left

fit a1*x+b1 "data" using 1:2 via a1, b1
fit a2*x+b2 "data" using 1:4 via a2, b2

set yrange [0:]

b1=b1/1000
b2=b2/1000

plot 'data' using ($1/1000):($2/1000) title 'read()', \
     'data' using ($1/1000):($4/1000) title 'recvmmsg()', \
     a1*x+b1 with lines lt 1 lc rgbcolor "#aa0000" lw 5 title "", \
     a2*x+b2 with lines lt 1 lc rgbcolor "#00aa00" lw 5 title ""

# a1*x+b1 - a2*x-b2 = 0
# (a1-a2)*x = b2-b1
xeq = (b2-b1)/(a1-a2)
print "ar = ", a1
print "am = ", a2
print "ar/am = ", a1/a2
print "Intersection at x = ", xeq
